
Redmine - Feature #1391

Ability to force user to change password

2008-06-06 04:11 - Rick Daley

Status: Closed Start date: 2008-06-06

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

When I create an account for a new redMine user, I give it a default password and ask the user to change it when he or she first logs

in.  But I don't know if the users actually do that.  I'd like to be able to configure redMine such that a new user is forced to create a

password the first time he or she logs in.  Furthermore, I'd like to limit the amount of time the user has to do this, so that after (say) a

week, the account is automatically locked.

Related issues:

Related to Redmine - Feature #3872: New user password - better functionality Closed 2009-09-15

Has duplicate Redmine - Feature #4342: Option of forcing user to change passw... Closed 2009-12-05

History

#1 - 2008-06-06 08:56 - Maxim Krušina

+1

#2 - 2008-06-06 10:49 - Thomas Lecavelier

Should be a feature request. Feature interesting.

#3 - 2008-06-08 19:04 - Jean-Philippe Lang

- File activity_as_helper.patch added

#4 - 2008-06-08 19:05 - Jean-Philippe Lang

- File deleted (activity_as_helper.patch)

#5 - 2013-08-05 20:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Feature added as part of #3872.

#6 - 2013-08-05 20:06 - Jean-Philippe Lang

- Subject changed from I'd like to force new users to choose a password to Ability to force user to change password
